Public Class Testform

    Private Sub Button1_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles Button1.Click

        ListView1.Items.Clear()
        ListView1.Groups.Clear()

        Dim j As Integer = GetPhysicalDrives() - 1

        For i As Integer = 0 To j
            Select Case ReadSmart(Drives(i))
                Case ReadSmart_Results.SUCCEEDED
                    ListView1.Groups.Add("LW" & i, Names(i) & _
                        "  (" & Drives(i) & ")")
                    AddSmartToListView(Me.ListView1, i)
                Case ReadSmart_Results.NO_SMART_AVAILABLE
                    ListView1.Groups.Add("LW" & i, Names(i) & _
                        "  (" & Drives(i) & ")")
                    Dim lvi As New ListViewItem
                    lvi.Text = "S.M.A.R.T. not available"
                    lvi.Group = ListView1.Groups(i)
                    ListView1.Items.Add(lvi)
                Case ReadSmart_Results.ACCESS_DENIED
                    ListView1.Groups.Add("LW" & i, Names(i) & _
                        "  (" & Drives(i) & ")")
                    Dim lvi As New ListViewItem
                    lvi.Text = _
                        "Zugriff verweigert, Administratorrechte bentigt!"
                    lvi.Group = ListView1.Groups(i)
                    ListView1.Items.Add(lvi)
                Case ReadSmart_Results.DRIVE_DOES_NOT_EXIST
                    'Das angegebene Laufwerk existiert nicht
                    'nicht ausgeben
            End Select
        Next
    End Sub

    Private Sub Testform_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        ListView1.Columns(0).Width = 360
        ListView1.Columns(1).Width = 100
        ListView1.Columns(2).Width = 100
        ListView1.Columns(3).Width = 150
    End Sub
End Class
